Gestiono
Referencia de APIResources / Resource

Create Resource price

← Back to full API reference
POST/v1/resource/priceAuth required

Resource endpoints let you create and maintain catalog items used across sales, purchasing, and inventory workflows.

  • Requires organization permissions for this resource.
  • Validated by Zod schema: postPriceTier.

Request details

Body fields

FieldRequiredDescription
resourceIdNoType: number
skuNoType: string
variationYesType: string
maxDiscountVariationNoType: string
recurrencyNoType: enumExample: ONE_TIME
minQuantityYesType: number
applicableToLabelNoType: string
applicableToAccountingLabelNoType: string
expiresAtNoType: string
usageLimitNoType: number
usageLimitPerBeneficiaryNoType: number
usageUnitLimitNoType: number
usageUnitLimitPerBeneficiaryNoType: number
currencyNoEnum-like validator generated by zodFromObj

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "variation": "string",
  "minQuantity": 1
}

Sample response

json
"<result>"